### Function

# Foundry DiagnosticBuilder new

#### Declaration [src]

    FoundryDiagnosticBuilder*
    foundry_diagnostic_builder_new (
      FoundryContext* context
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryDiagnosticBuilder`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.